Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 593506 - www-misc/vdradmin-am-3.6.10 : * ERROR: www-misc/vdradmin-am-3.6.10::gentoo failed (preinst phase):
Summary: www-misc/vdradmin-am-3.6.10 : * ERROR: www-misc/vdradmin-am-3.6.10::gentoo f...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo VDR Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-11 17:42 UTC by Toralf Förster
Modified: 2019-12-11 20:24 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-history.txt (emerge-history.txt,197.11 KB, text/plain)
2016-09-11 17:42 UTC, Toralf Förster
Details
environment (environment,100.29 KB, text/plain)
2016-09-11 17:42 UTC, Toralf Förster
Details
www-misc:vdradmin-am-3.6.10:20160911-163742.log (www-misc:vdradmin-am-3.6.10:20160911-163742.log,2.92 KB, text/plain)
2016-09-11 17:42 UTC, Toralf Förster
Details
patch to include depend: dev-perl/CGI in vdradmin-am-3.6.10.ebuild (vdradmin-am-3.6.10_depend_CGI.patch,394 bytes, patch)
2018-02-21 20:28 UTC, Mark Dominik Bürkle
Details | Diff
fixed ebuild for proxy-maint commit (vdradmin-am-3.6.10.ebuild,4.64 KB, text/plain)
2019-11-16 21:27 UTC, Joerg Bornkessel
Details
metadata with all the needs for proxying (metadata.xml,873 bytes, text/xml)
2019-11-16 21:28 UTC, Joerg Bornkessel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2016-09-11 17:42:39 UTC
Although it looks like a ussual perl upgrade issue this does not vanish evesnm after running few times in a row the perl-cleaner --all and perl-cleaner --force --libperl perl-cleaner --modules

Can't locate CGI.pm in @INC (you may need to install the CGI module) (@INC contains: /var/tmp/portage/www-misc/vdradmin-am-3.6.10/image//usr/bin/lib/ /usr/share/vdradmin/lib /etc/perl /usr/local/lib64/perl5/5.24.0/x86_64-linux /usr/local/lib64/perl5/5.24.0 /usr/lib64/perl5/vendor_perl/5.24.0/x86_64-linux /usr/lib64/perl5/vendor_perl/5.24.0 /usr/lib64/perl5/5.24.0/x86_64-linux /usr/lib64/perl5/5.24.0 .) at /var/tmp/portage/www-misc/vdradmin-am-3.6.10/image//usr/bin/vdradmind line 64.
BEGIN failed--compilation aborted at /var/tmp/portage/www-misc/vdradmin-am-3.6.10/image//usr/bin/vdradmind line 64.
 * ERROR: www-misc/vdradmin-am-3.6.10::gentoo failed (preinst phase):
 *   Failed to create initial configuration.
 * 
 * Call stack:


$ cat emerge-info.txt
  -----------------------------------------------------------------

  This is an unstable amd64 chroot image (named amd64-13.0-libressl-unstable_20160907-193653) at a hardened host acting as a tinderbox.

  -----------------------------------------------------------------
  USE flags ...

  ... in make.conf:
USE="  -openssl -gnutls libressl pax_kernel xtpax -cdinstall -oci8 -bindist apache apache2 bugzilla cddb -cgroups corefonts cxx dnssec dot drmkms gd git -gles gnome-keyring graphtft haptic ibus inifile introspection isag jadetex -javascript -kvm -libvirtd llvm lvm modplug mp4 mta nls nss objc -openexr -openmpi printsupport pulseaudio qt3support qt4 -sasl snmp spice ssh-askpass ssl svg swscale -system-libvpx -system-sqlite tools uxa v4l webgl wxwidgets x265 -xvfb zenmap -zip"

  ... in /etc/portage/package.use/*:
  mail-mta/ssmtp      ssl mta
  net-misc/wget       ssl
  app-crypt/pinentry  -qt4
  app-editors/emacs   -dbus -svg -ssl -gtk -gtk3
  app-text/xmlto      -latex
  dev-libs/boehm-gc   threads
  dev-libs/libpcre    pcre16
  dev-util/cmake      -qt4 -qt5
  dev-vcs/git         -perl
  gnome-base/librsvg  -tools
  media-libs/mesa     -vaapi
  <=net-misc/openssh-7.3_p1-r2    -hpn
  net-misc/iputils -caps -filecaps
  >=app-crypt/gcr-3.20.0 gtk
  >=x11-libs/cairo-1.14.6 X
  >=x11-libs/gdk-pixbuf-2.34.0 X
  >=x11-libs/gtk+-3.20.9 X

  entries in /etc/portage/package.unmask/*:
  media-video/ffmpeg
  -----------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-4.9.3
 [2] x86_64-pc-linux-gnu-5.4.0 *

Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python3.5 (fallback)
  [3]   python2.7 (fallback)

  -----------------------------------------------------------------

Portage 2.3.0 (python 3.4.5-final-0, default/linux/amd64/13.0, gcc-5.4.0, glibc-2.23-r2, 4.7.3-hardened x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.7.3-hardened-x86_64-Intel-R-_Core-TM-_i7-3930K_CPU_@_3.20GHz-with-gentoo-2.3
KiB Mem:    65285352 total,    649752 free
KiB Swap:   67108860 total,  67097912 free
Timestamp of repository gentoo: Sun, 11 Sep 2016 16:01:24 +0000
sh bash 4.3_p46
ld GNU ld (Gentoo 2.26.1 p1.0) 2.26.1
app-shells/bash:          4.3_p46::gentoo
dev-lang/perl:            5.24.0-r1::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo, 3.5.2::gentoo
dev-util/cmake:           3.6.2::gentoo
dev-util/pkgconfig:       0.29.1::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.21.7::gentoo
sys-apps/sandbox:         2.10-r2::gentoo
sys-devel/autoconf:       2.69-r2::gentoo
sys-devel/automake:       1.10.3-r2::gentoo, 1.11.6-r2::gentoo, 1.12.6-r1::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.26.1::gentoo
sys-devel/gcc:            4.9.3::gentoo, 5.4.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.7::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: 1

local
    location: /usr/local/portage
    masters: gentoo
    priority: 2

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/grs/systems.conf /usr/lib64/tomoyo/conf /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/qpsmtpd/plugins /var/lib/i2pd/certificates"
CONFIG_PROTECT_MASK="/etc/angband/gamedata/ /etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.6/ext-active/ /etc/php/apache2-php7.0/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cgi-php7.0/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/php/cli-php7.0/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/var/tmp/distfiles"
EMERGE_DEFAULT_OPTS="--verbose --verbose-conflicts --color=n --nospinner --tree --quiet-build"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync network-sandbox parallel-fetch preserve-libs protect-owned sandbox sfperms strict test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo rsync://mirror.netcologne.de/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gor.bytemark.co.uk/gentoo/ rsync://ftp.snt.utwente.nl/gentoo"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="acl amd64 apache apache2 berkdb bugzilla bzip2 cddb cli corefonts cracklib crypt cxx dnssec dot dri drmkms fortran gd gdbm git gnome-keyring graphtft haptic ibus iconv inifile introspection ipv6 isag jadetex libressl llvm lvm mmx mmxext modplug modules mp4 mta multilib ncurses nls nptl nss objc openmp pam pax_kernel pcre printsupport pulseaudio qt3support qt4 readline seccomp session snmp spice sse sse2 ssh-askpass ssl svg swscale tcpd tools unicode uxa v4l webgl wxwidgets x265 xattr xtpax zenmap zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" CURL_SSL="libressl" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Toralf Förster gentoo-dev 2016-09-11 17:42:42 UTC
Created attachment 445490 [details]
emerge-history.txt
Comment 2 Toralf Förster gentoo-dev 2016-09-11 17:42:44 UTC
Created attachment 445492 [details]
environment
Comment 3 Toralf Förster gentoo-dev 2016-09-11 17:42:47 UTC
Created attachment 445494 [details]
www-misc:vdradmin-am-3.6.10:20160911-163742.log
Comment 4 Felix Janda 2016-09-11 18:15:19 UTC
Looks like a missing dev-perl/CGI dependency
Comment 5 Toralf Förster gentoo-dev 2016-09-11 19:18:47 UTC
(In reply to Felix Janda from comment #4)
sure ? the attached emerge history shows that CGI is installed, or ?
Comment 6 Felix Janda 2016-09-11 22:40:14 UTC
I see dev-perl/CGI-Builder but not dev-perl/CGI in emerge-history.txt.
Comment 7 Toralf Förster gentoo-dev 2016-10-22 15:28:24 UTC
(In reply to Felix Janda from comment #6)
so a missing dep, right ?
Comment 8 Helmut Auer 2017-02-07 06:57:29 UTC
Sure - the vdradmin ebuid is missing the dependency to dev-perl/CGI

--- a/vdradmin-am-3.6.10.ebuild 2017-02-07 07:49:00.624766914 +0100
+++ b/vdradmin-am-3.6.10.ebuild 2017-02-07 07:49:21.096766083 +0100
@@ -19,6 +19,7 @@
        dev-perl/Template-Toolkit
        dev-perl/libwww-perl
        dev-perl/URI
+       dev-perl/CGI
        dev-perl/Locale-gettext
        virtual/perl-IO-Compress
        ipv6? ( dev-perl/IO-Socket-INET6 )

Is there anyone who can add this to portage ?
Comment 9 Mark Dominik Bürkle 2018-02-21 20:28:30 UTC
Created attachment 520486 [details, diff]
patch to include depend: dev-perl/CGI in vdradmin-am-3.6.10.ebuild

same as proposed by Helmut Auer
Comment 10 Joerg Bornkessel 2019-11-16 21:27:22 UTC
Created attachment 596442 [details]
fixed ebuild for proxy-maint commit

fixed
- missing depend
- moved to eapi-7
Comment 11 Joerg Bornkessel 2019-11-16 21:28:20 UTC
Created attachment 596444 [details]
metadata with all the needs for  proxying
Comment 12 Joerg Bornkessel gentoo-dev 2019-12-11 20:24:39 UTC
fixed by
commit 4946702d8aa824594f8f9e40282b1a1364bb9aa6

thanks for reporting this to

Helmut Auer, Mark D. Buerkle